Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.mock.interceptor
Class MockProxyMetaClass

The ProxyMetaClass for the MockInterceptor. Instance and class methods are intercepted, but constructors are not to allow mocking of aggregated objects.

author:
  Dierk Koenig

Constructor Summary
`MockProxyMetaClass(MetaClassRegistry registry, Class theClass, MetaClass adaptee)`

Method Summary
`Object` | `getProperty(Class aClass, Object object, String property, boolean b, boolean b1)`
`Object` | `invokeConstructor(def arguments)` Unlike general impl in superclass, ctors are not intercepted but relayed
`Object` | `invokeMethod(Object object, String methodName, def arguments)`
`Object` | `invokeStaticMethod(Object object, String methodName, def arguments)`
`static MockProxyMetaClass` | `make(Class theClass)` convenience factory method for the most usual case.
`void` | `setProperty(Class aClass, Object object, String property, Object newValue, boolean b, boolean b1)`

Constructor Detail

### MockProxyMetaClass

    public MockProxyMetaClass(MetaClassRegistry registry, Class theClass, MetaClass adaptee)

  param:
    adaptee the MetaClass to decorate with interceptability

Method Detail

### getProperty

    public Object getProperty(Class aClass, Object object, String property, boolean b, boolean b1)

### invokeConstructor

    public Object invokeConstructor(def arguments)

  Unlike general impl in superclass, ctors are not intercepted but relayed

### invokeMethod

    public Object invokeMethod(Object object, String methodName, def arguments)

### invokeStaticMethod

    public Object invokeStaticMethod(Object object, String methodName, def arguments)

### make

    public static MockProxyMetaClass make(Class theClass)

  convenience factory method for the most usual case.

### setProperty

    public void setProperty(Class aClass, Object object, String property, Object newValue, boolean b, boolean b1)